---
title: List Collaborators
slug: web-experimentation/api/list-collaborators
docTags: 
createdAt: 2026-10-02T13:15:18.296Z
---

{
  "id": "GrW0C2QWgeu4Gx76PKL8p",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.optimizely.com/v2/collaborators",
    "servers": [
      {
        "url": "https://api.optimizely.com/v2/collaborators"
      }
    ],
    "name": "List Collaborators",
    "description": "<p>List all the Collaborators on your account, or filter by project_id to list Collaborators on a specific project</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "project_id",
          "type": "array",
          "description": "Return Collaborators who have permissions on all specified projects.",
          "schema": [],
          "itemType": "integer",
          "customType": "integer[]"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "apiKey",
          "kind": "optional",
          "type": "http",
          "scheme": "bearer"
        },
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "description": "<p>Write applications that authenticate with the REST API via OAuth 2.0. Or, to authenticate using a personal token, see <a href=\"https://docs.developers.optimizely.com/web/docs/personal-token\" target=\"_blank\">https://docs.developers.optimizely.com/web/docs/personal-token</a></p>",
          "oauth2Flows": {
            "authorizationCode": {
              "authorizationUrl": "https://app.optimizely.com/oauth2/authorize",
              "tokenUrl": "https://app.optimizely.com/oauth2/token",
              "scopes": {
                "all": "Full access to your account"
              }
            }
          },
          "requiredScopes": [
            "read",
            "write"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Return Collaborators",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "CollaboratorEntry[]",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "string<uuid>",
                "readOnly": true,
                "description": "The unique identifier of the user",
                "example": "fa74a14b-1f3a-463d-aa98-2f7124ee6fc3",
                "format": "uuid"
              },
              {
                "name": "profile",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/UserProfile",
                "customType": "UserProfile",
                "schema": [
                  {
                    "name": "email",
                    "kind": "optional",
                    "type": "string<email>",
                    "description": "User's email",
                    "format": "email"
                  },
                  {
                    "name": "first_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "User's first name",
                    "default": ""
                  },
                  {
                    "name": "last_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "User's last name",
                    "default": ""
                  },
                  {
                    "name": "profile_image",
                    "kind": "optional",
                    "type": "string<url>",
                    "description": "User's profile image URL",
                    "default": "",
                    "format": "url"
                  }
                ]
              },
              {
                "name": "project_roles",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/ProjectRole",
                "customType": "ProjectRole[]",
                "schema": [
                  {
                    "name": "invitation_status",
                    "kind": "optional",
                    "type": "string<pending>",
                    "readOnly": true,
                    "description": "",
                    "enum": [
                      "pending"
                    ]
                  },
                  {
                    "name": "project_id",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "readOnly": true,
                    "description": "The unique identifier of the Project",
                    "format": "int64"
                  },
                  {
                    "name": "role",
                    "kind": "optional",
                    "type": "string<administrator | viewer | restricted_editor | editor | restricted_publisher | publisher | project_owner>",
                    "readOnly": true,
                    "description": "",
                    "enum": [
                      "administrator",
                      "viewer",
                      "restricted_editor",
                      "editor",
                      "restricted_publisher",
                      "publisher",
                      "project_owner"
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/CollaboratorEntry",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Invalid credentials",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "Error",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "messages",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": []
              },
              {
                "name": "uuid",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "",
                "format": "uuid"
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "default",
        "description": "Unexpected error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "Error",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "messages",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": []
              },
              {
                "name": "uuid",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "",
                "format": "uuid"
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "XQ97Vr0GeM1zP0igYy43T",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.optimizely.com/v2/collaborators \\\n     --header 'accept: application/json'"
        },
        {
          "id": "guoQ9lMDnRX_3nTLn923W",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.optimizely.com/v2/collaborators\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "7_xxsiLM09UaDdh6BBHo4",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.optimizely.com/v2/collaborators\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "MKdnskE8dT3RavffDkNwx",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.optimizely.com/v2/collaborators\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "XQ97Vr0GeM1zP0igYy43T"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Return Collaborators\n[\n  {\n    \"id\": \"fa74a14b-1f3a-463d-aa98-2f7124ee6fc3\",\n    \"profile\": {\n      \"email\": \"\",\n      \"first_name\": \"\",\n      \"last_name\": \"\",\n      \"profile_image\": \"\"\n    },\n    \"project_roles\": [\n      {\n        \"invitation_status\": \"\",\n        \"project_id\": \"\",\n        \"role\": \"\"\n      }\n    ]\n  }\n]"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Invalid credentials\n{\n  \"code\": \"\",\n  \"message\": \"\",\n  \"messages\": {},\n  \"uuid\": \"\"\n}"
        },
        {
          "id": "response-2-default",
          "language": "default",
          "code": "// Unexpected error\n{\n  \"code\": \"\",\n  \"message\": \"\",\n  \"messages\": {},\n  \"uuid\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}